From 62c561f6ed715960b9464d1d5f0a36195a2db038 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Fri, 12 Jul 2019 19:03:36 +0200
Subject: [PATCH 1/6] x265: update to 3.1.1. (soname bump)

---
 common/shlibs         | 2 +-
 srcpkgs/x265/template | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 77d24a501cd..7331dff3a12 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1906,7 +1906,7 @@ libQt5EglFsKmsSupport.so.5 qt5-5.7.1_1
 libQt5WebKit.so.5 qt5-webkit-5.6.0_1
 libQt5WebKitWidgets.so.5 qt5-webkit-5.6.0_1
 libQt5TextToSpeech.so.5 qt5-speech-5.8.0_1
-libx265.so.169 x265-3.0_1
+libx265.so.176 x265-3.1.1_1
 libQt5Xdg.so.3 libqtxdg-3.1.0_1
 libQt5XdgIconLoader.so.3 libqtxdg-3.1.0_1
 libqwt.so.6 qwt-6.1.3_1
diff --git a/srcpkgs/x265/template b/srcpkgs/x265/template
index 92b6694d685..96c17721a33 100644
--- a/srcpkgs/x265/template
+++ b/srcpkgs/x265/template
@@ -1,7 +1,7 @@
 # Template file for 'x265'
 pkgname=x265
-version=3.0
-revision=2
+version=3.1.1
+revision=1
 wrksrc="x265_${version}"
 build_wrksrc=source
 build_style=cmake
@@ -11,7 +11,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://x265.org/"
 distfiles="https://bitbucket.org/multicoreware/x265/downloads/x265_${version}.tar.gz"
-checksum=c5b9fc260cabbc4a81561a448f4ce9cad7218272b4011feabc3a6b751b2f0662
+checksum=827900c7cc0a0105b8a96460fab7cd22b97afa7b2835b5cb979c44bddaa3c8d0
 
 build_options="altivec assembly"
 

From adfc7850730e919e491762992abbc1e0404683e1 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Fri, 12 Jul 2019 19:04:53 +0200
Subject: [PATCH 2/6] avidemux: rebuild against x265-3.1.1

---
 srcpkgs/avidemux/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/avidemux/template b/srcpkgs/avidemux/template
index 3bef067a658..7cf9d1d49d2 100644
--- a/srcpkgs/avidemux/template
+++ b/srcpkgs/avidemux/template
@@ -1,7 +1,7 @@
 # Template file for 'avidemux'
 pkgname=avidemux
 version=2.7.3
-revision=2
+revision=3
 wrksrc="${pkgname}_${version}"
 # Can't be compiled for aarch64, arm* or mips*
 archs="x86_64* i686*"

From 84fdcbcba2f96aa25f8ad18177855c9f68596478 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Fri, 12 Jul 2019 19:04:54 +0200
Subject: [PATCH 3/6] gst-plugins-bad1: rebuild against x265-3.1.1

---
 srcpkgs/gst-plugins-bad1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-bad1/template b/srcpkgs/gst-plugins-bad1/template
index 6cecc2bbf7d..168508827a0 100644
--- a/srcpkgs/gst-plugins-bad1/template
+++ b/srcpkgs/gst-plugins-bad1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-bad1'
 pkgname=gst-plugins-bad1
 version=1.16.0
-revision=3
+revision=4
 wrksrc="${pkgname/1/}-${version}"
 build_helper="gir"
 build_style=meson

From e3e06ae03522d5a10f0c2e7c72c40c5605e56ae3 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Fri, 12 Jul 2019 19:04:54 +0200
Subject: [PATCH 4/6] handbrake: rebuild against x265-3.1.1

---
 srcpkgs/handbrake/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/handbrake/template b/srcpkgs/handbrake/template
index d7eac93863c..8f99d39589a 100644
--- a/srcpkgs/handbrake/template
+++ b/srcpkgs/handbrake/template
@@ -1,7 +1,7 @@
 # Template file for 'handbrake'
 pkgname=handbrake
 version=1.2.2
-revision=2
+revision=3
 archs="i686* x86_64* ppc64*"
 wrksrc="HandBrake-${version}"
 build_style=configure

From 82639058866feae97c968fde9a45f90a7a0471ec Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Fri, 12 Jul 2019 19:04:54 +0200
Subject: [PATCH 5/6] ffmpeg: rebuild against x265-3.1.1

---
 srcpkgs/ffmpeg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ffmpeg/template b/srcpkgs/ffmpeg/template
index 461ba4303b5..498cb5015a9 100644
--- a/srcpkgs/ffmpeg/template
+++ b/srcpkgs/ffmpeg/template
@@ -2,7 +2,7 @@
 # audacity also needs to be bumped when a new ffmpeg version bumps libavformat's soname!
 pkgname=ffmpeg
 version=4.1.4
-revision=1
+revision=2
 short_desc="Decoding, encoding and streaming software"
 maintainer="Johannes <johannes.brechtmann@gmail.com>"
 license="GPL-3.0-or-later"

From fb4214eed6182f5d09a1f31615d4a7500feb6505 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Fri, 12 Jul 2019 19:04:54 +0200
Subject: [PATCH 6/6] vlc: rebuild against x265-3.1.1

[skip ci]
---
 srcpkgs/vlc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vlc/template b/srcpkgs/vlc/template
index 57b27bfda07..6083cd24213 100644
--- a/srcpkgs/vlc/template
+++ b/srcpkgs/vlc/template
@@ -1,7 +1,7 @@
 # Template file for 'vlc'
 pkgname=vlc
 version=3.0.7.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-gme --disable-libtar --enable-jack
  --enable-live555 --disable-fluidsynth --enable-dvdread
